/**
 * 引导容器相关行为
 * 用于共享引导容器相关的方法和属性
 */
module.exports = Behavior({
  methods: {
    /**
     * 关闭引导容器
     * 设置IsShowGuideContainer为false并保存到本地存储
     */
    closeGuideContainer: function() {
      this.setData({
        IsShowGuideContainer: false,
      });
      wx.setStorageSync('IsShowGuideContainer', false);
    },
    setDataBoolean:function(e){
      let name=e.currentTarget.dataset.name;
      let saveData=e.currentTarget.dataset.savedata;
      this.data[name] = !this.data[name];
      this.setData(this.data);

      if (saveData)
        wx.setStorageSync(name, saveData);
    },
  }
})